Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_SupplierAdmin_i Class Reference

TAO_Notify_SupplierAdmin_i. More...

`#include <Notify_SupplierAdmin_i.h>`

Inheritance diagram for TAO_Notify_SupplierAdmin_i:

[legend]
Collaboration diagram for TAO_Notify_SupplierAdmin_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_SupplierAdmin_i (TAO_Notify_EventChannel_i *event_channel)
| Constructor <event_channel> is this objects parent. More...
virtual | ~TAO_Notify_SupplierAdmin_i ()
| Destructor. More...
void | init (CosNotifyChannelAdmin::AdminID myID, CosNotifyChannelAdmin::InterFilterGroupOperator myOperator, PortableServer::POA_ptr my_POA ACE_ENV_ARG_DECL)
| Initialize the Supplier Admin. More...
TAO_Notify_FilterAdmin_i & | get_filter_admin (void)
| Get our filter admin. More...
void | deactivate_proxy_pushconsumer (PortableServer::Servant servant ACE_ENV_ARG_DECL)
| Deactivate servant from <proxy_pushconsumer_POA_>. More...
void | proxy_pushconsumer_destroyed (CosNotifyChannelAdmin::ProxyID proxyID)
| This id is no longer in use.It can be reused by <proxy_pushconsumer_ids_>. More...
virtual CosNotifyChannelAdmin::AdminID | MyID (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
CosNotifyChannelAdmin::SupplierAdmin_ptr | get_ref (ACE_ENV_SINGLE_ARG_DECL)
| Return the CORBA object for this servant. More...
TAO_Notify_Event_Manager * | get_event_manager (void)
| Accesor for the event manager. More...
virtual CosNotifyChannelAdmin::EventChannel_ptr | MyChannel (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::InterFilterGroupOperator | MyOperator (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxyIDSeq * | pull_consumers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxyIDSeq * | push_consumers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxyConsumer_ptr | get_proxy_consumer (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ProxyNotFound )
virtual CosNotifyChannelAdmin::ProxyConsumer_ptr | obtain_notification_pull_consumer (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )
virtual CosNotifyChannelAdmin::ProxyConsumer_ptr | obtain_notification_push_consumer (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | validate_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | offer_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosEventChannelAdmin::ProxyPushConsumer_ptr | obtain_push_consumer (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosEventChannelAdmin::ProxyPullConsumer_ptr | obtain_pull_consumer (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Protected Methods
CORBA::Object_ptr | obtain_proxy_pushconsumer_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
| Obtain a proxy pushconsumer object. More...
CORBA::Object_ptr | obtain_struct_proxy_pushconsumer_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
| Obtain a structured proxy pushconsumer object. More...
CORBA::Object_ptr | obtain_sequence_proxy_pushconsumer_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
| Obtain a sequence pushconsumer object. More...
## Protected Attributes
TAO_Notify_EventChannel_i * | event_channel_
| The channel to which we belong. More...
TAO_Notify_CO_Factory * | channel_objects_factory_
| The factory for channel objects. More...
TAO_Notify_POA_Factory * | poa_factory_
| The factory for POA based containers. More...
ACE_Lock * | lock_
| The locking strategy. More...
CORBA::Boolean | destory_child_POAs_
| Flag to tell if the child poa's should be destroyed. More...
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator_
| The inter filter operator to use. More...
CosNotifyChannelAdmin::AdminID | my_id_
| My ID. More...
PortableServer::POA_var | my_POA_
| This is the POA in which we live. More...
PortableServer::POA_var | proxy_pushconsumer_POA_
| The POA in which all our push consumers live. We create and own this POA. More...
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::ProxyID, CosNotifyChannelAdmin::ProxyIDSeq > | proxy_pushconsumer_ids_
| Id generator for proxy push consumers. More...
TAO_Notify_QoSAdmin_i | qos_admin_
| Handle QoS admin methods. More...
TAO_Notify_FilterAdmin_i | filter_admin_
| Handles the Filter Admin methods. More...

## Detailed Description

TAO_Notify_SupplierAdmin_i.

Implements the CosNotifyChannelAdmin::SupplierAdmin interface.

## Constructor & Destructor Documentation

TAO_Notify_SupplierAdmin_i::TAO_Notify_SupplierAdmin_i | ( | TAO_Notify_EventChannel_i * | event_channel | ) |

| Constructor <event_channel> is this objects parent.

TAO_Notify_SupplierAdmin_i::~TAO_Notify_SupplierAdmin_i | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CosNotifyFilter::FilterID TAO_Notify_SupplierAdmin_i::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_SupplierAdmin_i::deactivate_proxy_pushconsumer | ( | PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) |

| Deactivate servant from <proxy_pushconsumer_POA_>.

void TAO_Notify_SupplierAdmin_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::FilterIDSeq * TAO_Notify_SupplierAdmin_i::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

TAO_Notify_Event_Manager * TAO_Notify_SupplierAdmin_i::get_event_manager | ( | void |  | ) |

| Accesor for the event manager.

CosNotifyFilter::Filter_ptr TAO_Notify_SupplierAdmin_i::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

TAO_Notify_FilterAdmin_i & TAO_Notify_SupplierAdmin_i::get_filter_admin | ( | void |  | ) |

| Get our filter admin.

CosNotifyChannelAdmin::ProxyConsumer_ptr TAO_Notify_SupplierAdmin_i::get_proxy_consumer | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ProxyNotFound )`[virtual]`

CosNotification::QoSProperties * TAO_Notify_SupplierAdmin_i::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_Notify_SupplierAdmin_i::get_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Return the CORBA object for this servant.

void TAO_Notify_SupplierAdmin_i::init | ( | CosNotifyChannelAdmin::AdminID | my_id,
|  | CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator,
|  | PortableServer::POA_ptr my_POA | ACE_ENV_ARG_DECL
| ) |

| Initialize the Supplier Admin.

CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_SupplierAdmin_i::MyChannel | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::AdminID TAO_Notify_SupplierAdmin_i::MyID | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_SupplierAdmin_i::MyOperator | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ProxyConsumer_ptr TAO_Notify_SupplierAdmin_i::obtain_notification_pull_consumer | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )`[virtual]`

CosNotifyChannelAdmin::ProxyConsumer_ptr TAO_Notify_SupplierAdmin_i::obtain_notification_push_consumer | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out proxy_id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )`[virtual]`

CORBA::Object_ptr TAO_Notify_SupplierAdmin_i::obtain_proxy_pushconsumer_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

| Obtain a proxy pushconsumer object.

CosEventChannelAdmin::ProxyPullConsumer_ptr TAO_Notify_SupplierAdmin_i::obtain_pull_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_Notify_SupplierAdmin_i::obtain_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Object_ptr TAO_Notify_SupplierAdmin_i::obtain_sequence_proxy_pushconsumer_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

| Obtain a sequence pushconsumer object.

CORBA::Object_ptr TAO_Notify_SupplierAdmin_i::obtain_struct_proxy_pushconsumer_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

| Obtain a structured proxy pushconsumer object.

void TAO_Notify_SupplierAdmin_i::offer_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )`[virtual]`

void TAO_Notify_SupplierAdmin_i::proxy_pushconsumer_destroyed | ( | CosNotifyChannelAdmin::ProxyID | proxyID | ) |

| This id is no longer in use.It can be reused by <proxy_pushconsumer_ids_>.

CosNotifyChannelAdmin::ProxyIDSeq * TAO_Notify_SupplierAdmin_i::pull_consumers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ProxyIDSeq * TAO_Notify_SupplierAdmin_i::push_consumers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_SupplierAdmin_i::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_SupplierAdmin_i::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

void TAO_Notify_SupplierAdmin_i::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

void TAO_Notify_SupplierAdmin_i::validate_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out available_qos | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

## Member Data Documentation

TAO_Notify_CO_Factory* TAO_Notify_SupplierAdmin_i::channel_objects_factory_`[protected]`

| The factory for channel objects.

CORBA::Boolean TAO_Notify_SupplierAdmin_i::destory_child_POAs_`[protected]`

| Flag to tell if the child poa's should be destroyed.

TAO_Notify_EventChannel_i* TAO_Notify_SupplierAdmin_i::event_channel_`[protected]`

| The channel to which we belong.

TAO_Notify_FilterAdmin_i TAO_Notify_SupplierAdmin_i::filter_admin_`[protected]`

| Handles the Filter Admin methods.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_SupplierAdmin_i::filter_operator_`[protected]`

| The inter filter operator to use.

ACE_Lock* TAO_Notify_SupplierAdmin_i::lock_`[protected]`

| The locking strategy.

CosNotifyChannelAdmin::AdminID TAO_Notify_SupplierAdmin_i::my_id_`[protected]`

| My ID.

PortableServer::POA_var TAO_Notify_SupplierAdmin_i::my_POA_`[protected]`

| This is the POA in which we live.

TAO_Notify_POA_Factory* TAO_Notify_SupplierAdmin_i::poa_factory_`[protected]`

| The factory for POA based containers.

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::ProxyID, CosNotifyChannelAdmin::ProxyIDSeq> TAO_Notify_SupplierAdmin_i::proxy_pushconsumer_ids_`[protected]`

| Id generator for proxy push consumers.

PortableServer::POA_var TAO_Notify_SupplierAdmin_i::proxy_pushconsumer_POA_`[protected]`

| The POA in which all our push consumers live. We create and own this POA.

TAO_Notify_QoSAdmin_i TAO_Notify_SupplierAdmin_i::qos_admin_`[protected]`

| Handle QoS admin methods.

The documentation for this class was generated from the following files:

- Notify_SupplierAdmin_i.h
- Notify_SupplierAdmin_i.cpp